import { Vector } from "./Algebra";
import { Vector3 } from "./Vector3";
export declare class Matrix3 implements Vector {
    x: Vector3;
    y: Vector3;
    z: Vector3;
    constructor(xx?: number, xy?: number, xz?: number, yx?: number, yy?: number, yz?: number, zx?: number, zy?: number, zz?: number);
    readonly norm: number;
    row(i: number): Vector3;
    col(j: number): Vector3;
    set(xx?: number, xy?: number, xz?: number, yx?: number, yy?: number, yz?: number, zx?: number, zy?: number, zz?: number): this;
    copy(): Matrix3;
    fill(s: number): this;
    fillc(s: number): Matrix3;
    add(m: Vector): this;
    addc(m: Vector): Matrix3;
    sub(m: Vector): this;
    subc(m: Vector): Matrix3;
    opp(): this;
    oppc(): Matrix3;
    mul(s: number): this;
    mulc(s: number): Matrix3;
    div(s: number): this;
    divc(s: number): Matrix3;
    trans(): this;
    transc(): Matrix3;
    prod(m: Vector): this;
    prodc(m: Vector): Matrix3;
    scal(m: Vector): number;
    dist(m: Vector): number;
    map(u: Vector3): Vector3;
    mapc(u: Vector3): Vector3;
    readonly det: number;
    inv(): this;
    invc(): Matrix3;
    rpow(exp: number): void;
    pow(exp: number): this;
    powc(exp: number): Matrix3;
    isEqual(m: Matrix3): boolean;
    isZero(): boolean;
    toString(): string;
    to2D(): [number, number, number][];
    to1D(): number[];
    static readonly zeros: Matrix3;
    static readonly ones: Matrix3;
    static readonly eye: Matrix3;
    static scal(s: number): Matrix3;
    static diag(xx: number, yy: number, zz: number): Matrix3;
    static sym(xx: number, yy: number, zz: number, xy: number, yz: number, xz?: number): Matrix3;
    static asym(xy: number, yz: number, xz?: number): Matrix3;
    static e(i: number, j: number): Matrix3;
    static rotX(theta: number, cos?: (x: number) => number, sin?: (x: number) => number): Matrix3;
    static rotY(theta: number, cos?: (x: number) => number, sin?: (x: number) => number): Matrix3;
    static rotZ(theta: number, cos?: (x: number) => number, sin?: (x: number) => number): Matrix3;
    static makeRot(u: Vector3, cos?: (x: number) => number, sin?: (x: number) => number): (theta: number) => Matrix3;
    static makeAffine(m: Matrix3, v: Vector3): (u: Vector3) => Vector3;
    static tens(u: Vector3, v?: Vector3): Matrix3;
    static from2D(arr: number[][]): Matrix3;
    static from1D(arr: number[]): Matrix3;
}
