import { Vector3 } from "./Vector3";
import { Solver } from "./Solver";
import { BufferTrajectory } from "./BufferTrajectory";
export declare class Point {
    trajectory: BufferTrajectory;
    solver: Solver;
    mass: number;
    constructor(trajectory: BufferTrajectory, solver?: Solver, mass?: number);
    position: Vector3;
    speed: Vector3;
    du: Vector3;
    readonly dt: number;
    x: number;
    y: number;
    z: number;
    r: number;
    rxy: number;
    theta: number;
    phi: number;
    lat: number;
    lon: number;
    readonly vx: number;
    readonly vy: number;
    readonly vz: number;
    readonly vr: number;
    readonly vrxy: number;
    readonly vtheta: number;
    readonly vphi: number;
    init(u0?: Vector3, v0?: Vector3, f?: (u?: Vector3, t?: number) => Vector3, dt0?: number): this;
    update(dt?: number, origin?: Vector3): this;
    reframe(p: Point): this;
    copy(): Point;
    static zeros(size?: number, frame?: Vector3, mass?: number): Point;
}
