import { Point } from "./Point";
import { Solver } from "./Solver";
import { Vector3 } from "./Vector3";
export interface PointSetOptions {
    copy: boolean;
    size: number;
}
export declare const defaultOptions: Partial<PointSetOptions>;
export declare class PointSet {
    points: Point[];
    private _frame;
    copy: boolean;
    constructor(points: Point[], solver?: Solver, frame?: Point);
    options: Partial<PointSetOptions>;
    frame: Point;
    solver: Solver;
    method: import("./Solver").methods;
    dt: number;
    field: (u?: Vector3, t?: number) => Vector3;
    center: Vector3;
    barycenter: Vector3;
    update(dt?: number, origin?: Vector3): this;
    reframe(p: Point): this;
}
