import { Vector3 } from "./Vector3";
import { Trajectory } from "./Trajectory";
import { BufferTrajectory } from "./BufferTrajectory";
export declare enum methods {
    EULER = 0
}
export declare class Solver {
    f: (u?: Vector3, t?: number) => Vector3;
    dt0: number;
    dt1: number;
    method: methods;
    constructor(f?: (u?: Vector3, t?: number) => Vector3, dt?: number, method?: methods);
    step(u1: Vector3, u0: Vector3, t?: number, dt?: number): Vector3;
    buffer(trajectory: BufferTrajectory, dt?: number, origin?: Vector3): BufferTrajectory;
    initialTransform(u0: Vector3, v0: Vector3, dt0?: number, dt1?: number): Vector3;
    solve(u0: Vector3, v0: Vector3, count: number, dt?: number): any[];
    solveMax(u0: Vector3, v0: Vector3, tmax: number, dt?: number): any[];
    trajectory(u0: Vector3, v0: Vector3, count: number, dt?: number, origin?: Vector3): Trajectory;
    trajectoryMax(u0: Vector3, v0: Vector3, tmax: number, dt?: number, origin?: Vector3): Trajectory;
}
