import { Vector } from "./Algebra";
export declare class Vector3 implements Vector {
    x: number;
    y: number;
    z: number;
    constructor(x?: number, y?: number, z?: number);
    r: number;
    theta: number;
    phi: number;
    rxy: number;
    lat: number;
    lon: number;
    xyz: [number, number, number];
    rthz: [number, number, number];
    rthph: [number, number, number];
    copy(): Vector3;
    fill(s: number): this;
    fillc(s: number): Vector3;
    add(u: Vector): this;
    addc(u: Vector): Vector3;
    sub(u: Vector): this;
    subc(u: Vector): Vector3;
    opp(): this;
    oppc(): Vector3;
    mul(s: number): this;
    mulc(s: number): Vector3;
    div(s: number): this;
    divc(s: number): Vector3;
    scal(u: Vector): number;
    cross(u: Vector): this;
    crossc(u: Vector): Vector3;
    trans(): this;
    transc(): Vector3;
    prod(u: Vector): this;
    prodc(u: Vector): Vector3;
    dist(u: Vector): number;
    angle(u: Vector3): number;
    cos(u: Vector3): number;
    sin(u: Vector3): number;
    tan(u: Vector3): number;
    isEqual(u: Vector3): boolean;
    isZero(): boolean;
    toString(): string;
    to1D(): [number, number, number];
    static readonly zeros: Vector3;
    static readonly ones: Vector3;
    static scal(s: number): Vector3;
    static readonly ex: Vector3;
    static readonly ey: Vector3;
    static readonly ez: Vector3;
    static e(k: number): Vector3;
    static er(u: Vector3): Vector3;
    static etheta(u: Vector3): Vector3;
    static ephi(u: Vector3): Vector3;
    static derivative(vectors: Vector3[], dt?: number[] | number): any[];
    static from1D(arr: number[]): Vector3;
    static cylindrical(rxy: number, theta: number, z: number): Vector3;
    static spherical(r: number, theta: number, phi: number): Vector3;
}
